#!/bin/bash

type_text() {
    local text="$1"
    local delay="$2"
    local char

    while IFS= read -r -n1 char; do
        printf "%b" "$char"
        sleep "$delay"
    done <<< "$text"

    printf "\n"
}

type_text "$(echo -e "\e[3;37mNein… du hast es wirklich geschafft.\e[0m")" 0.05
type_text "$(echo -e "\e[3mAber glaub ja nicht, dass ich es dir nun einfacher mache.\e[0m")" 0.03

type_text "$(echo -e "\033[3mWer – oder was – glaubst du eigentlich, hier zu sein?\033[0m")" 0.03

type_text "$(echo -e "\033[3mAb diesem Moment bleiben dir exakt \033[0m\033[1;3m10 Minuten\033[0m\033[3m, um die Aufgabe zu lösen.\033[0m")" 0.03
type_text "$(echo -e "\033[3mWenn die Zeit abläuft… nun ja… dann verschwindet deine Chance genauso lautlos wie das Flüstern hinter dir.\033[0m")" 0.03

type_text "$(echo -e "\033[3mDie Uhr beginnt jetzt zu ticken.\033[0m")" 0.05